// Emacs style mode select   -*- C++ -*- 
//-----------------------------------------------------------------------------
//
// $Id: i_main.c,v 1.3 2000/02/11 17:35:15 ersmith Exp $
//
// Copyright (C) 1993-1996 by id Software, Inc.
//
// This source is available for distribution and/or modification
// only under the terms of the DOOM Source Code License as
// published by id Software. All rights reserved.
//
// The source is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License
// for more details.
//
// $Log: i_main.c,v $
// Revision 1.3  2000/02/11 17:35:15  ersmith
// updated for MiniBIOS and new BIOS routines
//
// Revision 1.2  2000/01/27 17:49:51  ersmith
// version linked to ROM BIOS
//
// Revision 1.1.1.1  1999/12/20 14:23:39  ersmith
// Initial import of the VMLabs version of Doom
//
//
// DESCRIPTION:
//	Main program, simply calls D_DoomMain high level loop.
//
//-----------------------------------------------------------------------------

static const char
rcsid[] = "$Id: i_main.c,v 1.3 2000/02/11 17:35:15 ersmith Exp $";



#include "doomdef.h"

#include "m_argv.h"
#include "d_main.h"

// Define this to do a timing demo */
//#define MERLINDEMO

#ifdef MERLIN
#include <nuon/sdram.h>
#include <nuon/cache.h>
#endif

#ifdef MERLINDEMO
static char *new_args[] = { "merldoom", "-timedemo", "demo3", 0 };
static int new_argc = 3;
#endif

int
main
( int		argc,
  char**	argv ) 
{ 
#ifdef MERLIN
    /* set caches */
    /* 0x201 = 3K 3way cache, 0x21 = 4K direct, 0x111 = 4K 2way */
//    _CacheConfig(0x201, 0x22);
	_CompatibilityMode(1);
//	InitFilesystem();
    /* initialize SDRAM memory */
    SDRAMInit((void *)SDRAM_BASE_ADDRESS, 2*1024*1024);
#endif
#ifdef MERLINDEMO
    myargc = new_argc;
    myargv = new_args;
#else
    myargc = argc; 
    myargv = argv; 
#endif


    D_DoomMain (); 

    return 0;
} 
